<?php

namespace Drupal\link_field_tweak\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configures link field settings
 *
 * @package Drupal\link_field_tweak\Form
 */
class LinkFieldTweakForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['link_field_tweak.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'link_field_tweak_settings';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config('link_field_tweak.settings');
    $form['widget_field_order'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Switch field order (title field first, link field second'),
      '#description' => $this->t('This affects every link field widget. You can change this on each link field widget separately if you do not check this box.'),
      '#default_value' => $config->get('widget_field_order')
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('link_field_tweak.settings')
      ->set('widget_field_order', $form_state->getValue('widget_field_order'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}